Erweiterungen nach Update auf 6.4.16.1 werden nicht angezeigt

Hallo,
nach einem Shopware Update werden meine Erweiterungen nicht mehr angezeigt. Cache habe ich schon geleert.

php bin/console plugin:refresh wirft folgenden Fehler:

bamarni/composer-bin-plugin contains a Composer plugin which is blocked by
your allow-plugins config. You may add it to the list if you consider it sa
fe.
You can run „composer config --no-plugins allow-plugins.bamarni/composer-bi
n-plugin [true|false]“ to enable it (true) or disable it explicitly and sup
press this exception (false)

Wenn ich nun obigen Befehl (composer config --no-plugins allow-plugins.bamarni/composer-bin-plugin true) eingebe, erscheint folgendes:

-shell: composer: command not found

Kann mir da bitte jemand helfen?

1 Like

Niemand eine Idee hierzu?

Plugin in der Datenbank bei active von 1 auf 0 setzen. Mit etwas Glück funktioniert das Backend dann wieder. Zum Composer Fehler leider kein Rat.

Hallo,

zur composer Fehlermeldung:

-shell: composer: **command not found**

= composer nicht verfügbar in Deiner Shell-Umgebung.

Viele Grüße

Keine Ahnung, welches Plugin das ist. Mir sagt bamarni nichts.

Das ist kein Plugin, das ist eine vendor Komponente.

Das gleiche Problem bei uns. :confused:

Fragt mal eure Konsole „which composer“ oder „composer -v“ nach Details zu eurer Composer-Installation.
Falls ihr keinen Composer habt, fängt die Reise mit der Installation des selbigen an.

Den kann man sich als phar-File in der aktuellen Version besorgen und als alias Verwenden, wenn euch die Rechte zum Setup auf der Maschine fehlen, wo der Shop zuhause ist und der Provider den minderberechtigten Seelen einfach keinen Composer hingestellt hat.